#include <iostream>
using namespace std;
int main()
{
    int n,k;
    cin>>n>>k;
    int a[n],niz[n];
    for(int i=0;i<n;i++)
        {cin>>niz[i];a[i]=1;}
    for(int i=0;i<n-1;i++)
    {
        if(!niz[i]) continue;
        for(int j=i+1;j<n;j++)
        {
            if(niz[i]==niz[j])
            {
                a[i]++;
                a[j]=0;
            }
        }
    }
    int broj=0;
    for(int i=0;i<n;i++)
    {
        if(a[i]<k)   continue;
        broj++;
    }
    cout<<broj;
    for(int i=0;i<n;i++)
    {
        if(a[i]<k)   continue;
        cout<<niz[i];
    }
    return 0;
}